View a markdown version of this page

UpdateChat - AWS DevOps Agent

UpdateChat

Updates a chat execution. You can use this operation to change the chat execution's summary or to archive or unarchive it.

Archiving a chat execution hides it from the default chat list. Unarchiving a chat execution restores it to the default chat list.

Request Syntax

PATCH /agents/agent-space/agentSpaceId/chat/executionId HTTP/1.1 Content-type: application/json { "archiveStatus": "string", "clientToken": "string", "summary": "string" }

URI Request Parameters

The request uses the following URI parameters.

agentSpaceId

The unique identifier of the agent space that contains the chat execution to update.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: Yes

executionId

The unique identifier of the chat execution to update.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9_.-]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

archiveStatus

The archive status to set for the chat execution. Use this parameter to archive the chat execution, hiding it from the default chat list, or to unarchive it, restoring it to the default chat list.

Type: String

Valid Values: ACTIVE | ARCHIVED

Required: No

clientToken

A unique, case-sensitive identifier to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\x21-\x7E]+

Required: No

summary

The new summary to set for the chat execution.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "archiveStatus": "string", "executionId": "string", "summary": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

archiveStatus

The archive status of the chat execution after the update.

Type: String

Valid Values: ACTIVE | ARCHIVED

executionId

The unique identifier of the updated chat execution.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9_.-]+

summary

The summary of the chat execution after the update.

Type: String

updatedAt

The date and time at which the chat execution was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access to the requested resource is denied due to insufficient permissions.

message

Detailed error message describing why access was denied.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

message

Detailed error message describing the conflict.

reason

A machine-readable reason code that explains why the request conflicted with the current state of the resource. For example, CHAT_ARCHIVED indicates that the request acted on a chat that is archived. This field is absent when no specific reason applies.

HTTP Status Code: 409

ContentSizeExceededException

This exception is thrown when the content size exceeds the allowed limit.

HTTP Status Code: 413

InternalServerException

This exception is thrown when an unexpected error occurs in the processing of a request.

HTTP Status Code: 500

InvalidParameterException

One or more parameters provided in the request are invalid.

message

Detailed error message describing which parameter is invalid and why.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource could not be found.

message

Detailed error message describing which resource was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed the service quota limit.

message

Detailed error message describing which quota was exceeded.

HTTP Status Code: 402

ThrottlingException

The request was throttled due to too many requests. Please slow down and try again.

message

Detailed error message describing the throttling condition.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: